com.smartgwt.client.types

## Enum ViewName

- java.lang.Object
- - java.lang.Enum<ViewName>
  - - com.smartgwt.client.types.ViewName

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ViewName>

      public enum ViewName
      extends java.lang.Enum<ViewName>
      implements ValueEnum

  The names of the Calendar views.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DAY` day view
    `MONTH` month view
    `TIMELINE` timeline view
    `WEEK` week view

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ViewName` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ViewName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DAY

          public static final ViewName DAY

      day view

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "day".

    - #### WEEK

          public static final ViewName WEEK

      week view

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "week".

    - #### MONTH

          public static final ViewName MONTH

      month view

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "month".

    - #### TIMELINE

          public static final ViewName TIMELINE

      timeline view

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "timeline".

  - ### Method Detail

    - #### values

          public static ViewName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ViewName c : ViewName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ViewName valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`